#include <bits/stdc++.h>
using namespace std;
int main()
{
    ofstream fo("noixich.out");
ifstream fi("noixich.inp");
    long long n,i,a[20000],dem=0;
   fi>>n;
   for(i=0;i<n;i++)
   {
       fi>>a[i];
   }
       sort(a,a+n);
       i=0;
    while(n>=0){
            if(n==0)
            {
                break;
            }
            if(a[i]==0)
            {
                i++;
                n=n-1;
            }
            a[i]--;
            n=n-1;
            dem++;
        }
    fo<<dem-1;
    return 0;
}
